// component/personCenter/personCenter.js
var app = getApp()
const wxService = require('../../utils/wxService')
const envInfo = require('../../config/index').envInfo

Component({
  properties: {
    personData: {
			type: Object,
			value: {},
		},
  },
  /**
   * 页面的初始数据
   */
  data: {
    personCenter: {},
    memberCardNo: "",
    memberActivateStatus: false,
    integralNum: 0,
    couponNum: 0
  },
  attached () {
    this.setData({
      personCenter: this.data.personData
    })
    // 取会员卡号
    const {memberCardNo} = wx.getStorageSync('_baseUserInfo')
    const memberActivateStatus = wx.getStorageSync('memberActivateStatus')
    this.setData({
      memberCardNo,
      memberActivateStatus
    })
    // 积分数量
    this.getMemberPointInfo()
    // 优惠券数量
    this.getMemberCouponInfo()
  },
  methods: {
    // 查询积分信息
    getMemberPointInfo(){
      wx.showLoading({
        title: '加载中'
      })
      wxService.get(`/member/memberPoint/getMyPointInfo`).then(res => {
          const { result, data } = res.data
          if (result == 0) {
            wx.hideLoading()
            this.setData({
              integralNum: data.point
            })
          }
        })
    },
    // 查询优惠券数量
    getMemberCouponInfo(){
      wx.showLoading({
        title: '加载中'
      })
      wxService.post(`/coupon/coupon/memberCouponCount`).then(res => {
          const { result, data } = res.data
          if (result == 0) {
            wx.hideLoading()
            this.setData({
              couponNum: data[1] || 0
            })
          }
        })
    },
    toBonusDetails() {
      wxService.router(`/pages/integralWater/integralWater`)
    },
    toCouponList() {
      wxService.router(`/pages/coupons/coupons`)
    },
    // 点击编辑
    handelPersonCenter() {
      console.log('点击编辑')
    },
    handleTtoActiveMemebr() {
      wxService.openCard()
    },
    handleGoWxCard() {
      console.log('kabao')
      // wechatCardId wechatCode
      const {wechatCardId,wechatCode} = wx.getStorageSync('_baseUserInfo')
      wx.openCard({
        cardList: [{
          cardId: wechatCardId,
          code: wechatCode
        }],
        success (res) { 
          console.log('查看微信卡包中的卡券', res)
        }
      })

    }
  }
})